Java packages deprecated?

Short question: Why are (almost) all Java-Classes marked as deprecated? I never had any problems. And the docu for java-bindings are still (version 2016.2.1) not marked as deprecated. I ask, because in my case everything works and the writing of Unittests is easier than in Objectscript and i cannot find a note about the reason of the deprecation (at least in the classes i have checked).

  • 0
  • 0
  • 283
  • 0
  • 2

Answers

You can find answer on your question in the documentation.

The Caché Java Binding is Deprecated

Java Persistence Architecture (JPA) is the recommended persistence technology for complex object hierarchies in Java projects. Caché and Ensemble currently support JPA 1.0 and 2.0 via the Hibernate implementations of the JPA specifications. See “Using the Caché Hibernate Dialect” in Using Caché with JDBC.

Extreme Event Persistence (XEP) is the recommended persistence technology for high-performance simple to medium complexity object hierarchies in Java projects. See “Using eXTreme Event Persistence” in Using Java with Caché eXTreme.